Loading...
Searching...
No Matches
SetValue< T > Struct Template Reference

Set the value and its state at the leaf level mapped to by ijk, and create the leaf node and branch if needed. More...

`#include <nanovdb/util/GridBuilder.h>`

## Static Public Member Functions

static BuildLeaf< T > * | set (BuildLeaf< T > &leaf, uint32_t n)
static BuildLeaf< T > * | set (BuildLeaf< T > &leaf, uint32_t n, const typename BuildLeaf< T >::ValueType &v)

## Detailed Description

template<typename T>
struct nanovdb::build::SetValue< T >

Set the value and its state at the leaf level mapped to by ijk, and create the leaf node and branch if needed.

Template Parameters

  T | BuildType of the corresponding tree

## Member Function Documentation

## set() [1/2]

template<typename T>

BuildLeaf< T > * set | ( | BuildLeaf< T > & | leaf,
|  | uint32_t | n )

inlinestatic

## set() [2/2]

template<typename T>

BuildLeaf< T > * set | ( | BuildLeaf< T > & | leaf,
|  | uint32_t | n,
|  | const typename BuildLeaf< T >::ValueType & | v )

inlinestatic